<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>
    <title>GormPalettesPref class documentation</title>
  </head>
  <body>
    <font face="serif">
    <h1><a name="title$GormPalettesPref">GormPalettesPref class documentation</a></h1>
    <h3>Authors</h3>
    <dl>
      <dt>Generated by heron</dt>
      <dd>
      </dd>
    </dl>

        <div>
    </div>

          <h1><a name="001000000000">
        Software documentation for the GormPalettesPref class
      </a></h1>
    <h2><a name="class$GormPalettesPref">GormPalettesPref</a> : NSObject</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormPrefs/GormPalettesPref.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="50%" align="left" />
    <a href="#_GormPalettesPref_ivars">Instance Variables</a>
    <br/><br/>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="GormPalettesPref.html#method$GormPalettesPref-addAction$">-addAction:</a></li>
      <li><a rel="gsdoc" href="GormPalettesPref.html#method$GormPalettesPref-removeAction$">-removeAction:</a></li>
      <li><a rel="gsdoc" href="GormPalettesPref.html#method$GormPalettesPref-view">-view</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$GormPalettesPref-addAction$">addAction:&nbsp;</a></h3>
    - (void) <b>addAction:</b> (id)sender;<br />
    <div class="desc">
      
            Add a palette to the list.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormPalettesPref-removeAction$">removeAction:&nbsp;</a></h3>
    - (void) <b>removeAction:</b> (id)sender;<br />
    <div class="desc">
      
            Remove a palette from the list.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormPalettesPref-view">view&nbsp;</a></h3>
    - (NSView*) <b>view</b>;<br />
    <div class="desc">
      
            View to be shown in the preferences panel.
          
    </div>
    <hr width="25%" align="left" />
</div>
<a name="_GormPalettesPref_ivars"/>    <br/><hr width="50%" align="left" />
    <h2>Instance Variables for GormPalettesPref Class</h2>
    <h3><a name="ivariable$GormPalettesPref*_view">_view</a></h3>
    @protected id <b>_view</b>;<br />
    <div class="desc">
      
            <em>Warning</em> the underscore at the start of the
            name of this instance variable indicates that, even
            though it is not technically <em>private</em>, it is
            intended for internal use within the package, and
            you should not use the variable in other code.
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormPalettesPref*addButton">addButton</a></h3>
    @protected id <b>addButton</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormPalettesPref*removeButton">removeButton</a></h3>
    @protected id <b>removeButton</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormPalettesPref*table">table</a></h3>
    @protected id <b>table</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormPalettesPref*window">window</a></h3>
    @protected id <b>window</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <br/><hr width="50%" align="left" /><br/>
    <br />
    </font>
</body>
</html>
